Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005899 [JEDI VCL] 00 JVCL Components major always 2012-06-04 15:14 2012-09-10 14:15
Reporter MrDeveloper View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005899: TJvOpenWithDialog filename property
Description The component TJvOpenWithDialog doesn't work properly when you define a filename inside the filename property.

OS: Windows 7 (64bit)
Compiler: Delphi XE
Additional Information 1. Just place a TJvOpenWithDialog component on a empty form
2. Change the filename property e.g. to Test.txt
3. Double click on the component
4. You will the only the T from the filename
Tags No tags attached.
Attached Files 7z file icon JVCL-0005899.7z [^] (60,389 bytes) 2012-06-10 14:28

- Relationships
related to 0005903resolvedobones remove garbage from JvBaseDLG ? 

-  Notes
(0019809)
Arioch (developer)
2012-06-08 23:46
edited on: 2012-06-10 12:45

same in XE2 with last SVN

unicode troubles again

(0019812)
Arioch (developer)
2012-06-10 12:36

C:\Delphi\Libs\JediVCL\jvcl\design\JvBaseDlgEditor.pas

Since Delphi 5 is no more supported, this to be removed:

type
  // (p3) TCommonDialog.Execute is protected in D5...
  TAccessProtectedCommonDialog = class(TCommonDialog);
(0019813)
Arioch (developer)
2012-06-10 12:45

unit JvBaseDlg;
  TJvCommonDialogP = class(TJvCommonDialog)
  public
// procedure Execute; virtual; abstract;
  end;

  // (rom) alternative to TJvCommonDialogP
  TJvCommonDialogF = class(TJvCommonDialog)
  public
// function Execute: Boolean; virtual; abstract;
  end;

Those two classes should be removed, at least i can see no use for them now.
(0019814)
Arioch (developer)
2012-06-10 12:47
edited on: 2012-06-10 14:48

unit VCL.Dialogs

  TCommonDialog = class(TComponent)
...
  public
...
    function Execute: Boolean; overload; virtual;
    function Execute(ParentWnd: HWND): Boolean; overload; virtual; abstract;
=========

Execute() function uses some heuristics to detect parent window and call Execute with parameter.
So at least in XE2 TJvBaseDialog should override with-parameter function.
But current code is


unit JvWinDialogs;
...
  TJvOpenWithDialog = class(TJvCommonDialogP)
...
  public
    function Execute: Boolean; override;

It is to be checked and determined which Delphi version changed that and introduced overloaded Execute
=========

https://forums.embarcadero.com/thread.jspa?messageID=464595 [^]
Once there be answers, i guess we would now how correctly IfDef common dialogs implementations to choose and override the abstract function

(0019815)
Arioch (developer)
2012-06-10 14:28

unit JvWinDialogs;

line 734
    @SHOpenWith := GetProcAddress(ShellHandle, PAnsiChar('OpenAs_RunDLLA'));

Should be changed to
    @SHOpenWith := GetProcAddress(ShellHandle, {$IFDEF UNICODE}'OpenAs_RunDLLW'{$ELSE}'OpenAs_RunDLLA'{$ENDIF});
(0019819)
Arioch (developer)
2012-06-11 16:38

MrDeveloper!

check and confirm please!
(0019922)
obones (administrator)
2012-06-12 15:46

Confirmed and resolved in SVN

- Issue History
Date Modified Username Field Change
2012-06-04 15:14 MrDeveloper New Issue
2012-06-08 23:46 Arioch Note Added: 0019809
2012-06-10 12:36 Arioch Note Added: 0019812
2012-06-10 12:45 Arioch Note Added: 0019813
2012-06-10 12:45 Arioch Note Edited: 0019809
2012-06-10 12:47 Arioch Note Added: 0019814
2012-06-10 14:28 Arioch Note Added: 0019815
2012-06-10 14:28 Arioch File Added: JVCL-0005899.7z
2012-06-10 14:48 Arioch Note Edited: 0019814
2012-06-10 14:49 Arioch Relationship added related to 0005903
2012-06-11 16:38 Arioch Note Added: 0019819
2012-06-11 17:37 obones Status new => acknowledged
2012-06-12 15:46 obones Note Added: 0019922
2012-06-12 15:46 obones Status acknowledged => resolved
2012-06-12 15:46 obones Fixed in Version => Daily / SVN
2012-06-12 15:46 obones Resolution open => fixed
2012-06-12 15:46 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker